#include "forms.h"
#include "Xsox.h"

extern FD_Xsox *fd_xsox;
extern char *AudioFormats[];

void AddInputSpecs(char *cmd)
{  double rate;
   int format;

   if(! fl_get_button(fd_xsox->InputChannelOff))
   {
      if (fl_get_button(fd_xsox->Input1Channel))
	 sprintf(cmd+strlen(cmd),"-c 1 ");
      if (fl_get_button(fd_xsox->Input2Channel))
	 sprintf(cmd+strlen(cmd),"-c 2 ");
      if (fl_get_button(fd_xsox->Input4Channel))
	 sprintf(cmd+strlen(cmd),"-c 4 ");
   }
   
   rate = fl_get_counter_value(fd_xsox->InputRate);
   if(rate != 0)
      sprintf(cmd+strlen(cmd),"-r %.0f ",rate);

   format = fl_get_choice(fd_xsox->InputFormat);
   if(format > 1)
      sprintf(cmd+strlen(cmd),"-t %s ",AudioFormats[format - 1]);
}

int AddInputFile(char *cmd)
{  char *inputfile;
   
   inputfile = (char *)fl_get_input(fd_xsox->SetInput);
   if(strlen(inputfile) == 0)
   {
      fl_show_alert("Error: no inputfile set !","","",1);
      return -1;
   }

   AddInputSpecs(cmd);
   sprintf(cmd+strlen(cmd),"%s ",inputfile);

   return 0;
}
